package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.EnvironmentalGovernanceGdp;
import com.lightinit.hsdatashow.entity.EnvironmentalGovernanceGdpExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EnvironmentalGovernanceGdpMapper {
    long countByExample(EnvironmentalGovernanceGdpExample example);

    int deleteByExample(EnvironmentalGovernanceGdpExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EnvironmentalGovernanceGdp record);

    int insertSelective(EnvironmentalGovernanceGdp record);

    List<EnvironmentalGovernanceGdp> selectByExample(EnvironmentalGovernanceGdpExample example);

    EnvironmentalGovernanceGdp selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EnvironmentalGovernanceGdp record, @Param("example") EnvironmentalGovernanceGdpExample example);

    int updateByExample(@Param("record") EnvironmentalGovernanceGdp record, @Param("example") EnvironmentalGovernanceGdpExample example);

    int updateByPrimaryKeySelective(EnvironmentalGovernanceGdp record);

    int updateByPrimaryKey(EnvironmentalGovernanceGdp record);

    List<EnvironmentalGovernanceGdp> selectList(int year);
}